Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
emerge bind-9.2.5 fails with machine...not...[FIXED]
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Gentoo on Sparc
View previous topic :: View next topic  
Author Message
micheloe
n00b
n00b


Joined: 24 Oct 2004
Posts: 13

PostPosted: Fri Apr 15, 2005 1:16 pm    Post subject: emerge bind-9.2.5 fails with machine...not...[FIXED] Reply with quote

Hi,

I'm trying to get past compiling bind-9.2.5 on my Ultra10. But whatever I try the configure-part complains about my machine type. FYI, bind-9.2.5 is listed as stable for the sparc platform, so it must be me doing something terribly wrong!

I'm trying to emerge it using:

Code:
emerge -uD bind

Very soon, this error message appears:

Code:
 * econf: updating bind-9.2.5/config.sub with /usr/share/gnuconfig/config.sub
./configure --prefix=/usr --host=sparc-unknown-linux-gnu --mandir=/usr/share/man --infodir=/usr/share/info --datadir=/usr/share --sysconfdir=/etc --localstatedir=/var/lib --sysconfdir=/etc/bind --localstatedir=/var --with-libtool --with-openssl --enable-ipv6
configure: WARNING: If you wanted to set the --build type, don't use --host.
    If a cross compiler is detected then cross compile mode will be used.
checking build system type... Invalid configuration `sparc64-unknown-linux-': machine `sparc64-unknown-linux' not recognized
configure: error: /bin/sh ./config.sub sparc64-unknown-linux- failed

At the end of the config.log (after all variable settings), only "configure: exit 1" is displayed. If I'm correct, the machine type should be "sparc-unknown-linux" instead of "sparc64-unknown-linux", but I'm clueless as to where this problem comes from. I'm by no means some "compile-hero", so please bear with me if I overlook something obvious. Anyway, configure is called with "--host=sparc-unknown-linux-gnu" so I have no explanation as to why configure guesses my machine type would be "sparc64-unknown-linux".

My /etc/make.conf:
Code:
CFLAGS="-O3 -pipe -mcpu=ultrasparc -mtune=ultrasparc"
CHOST="sparc-unknown-linux-gnu"
CXXFLAGS="${CFLAGS}"
MAKEOPTS="-j1"
GENTOO_MIRRORS="ftp://ftp.easynet.nl/mirror/gentoo ftp://ftp.snt.utwente.nl/pub/os/linux/gentoo ftp://ftp.tiscali.nl/pub/mirror/gentoo ftp://mirror.nutsmaas.nl/gentoo ftp://ftp.uni-erlangen.de/pub/mirrors/gentoo"
USE="-X -arts -cups -esd -kde -gnome -mad -mikmod -opengl -qt -gtk -gtk2 -xmms -gpm shared sharedmem acl caps mysql innodb ssl imap apache2 php ftp sasl milter sendmail ipv6 gd dba"
ACCEPT_KEYWORDS="sparc"

I don't have any specific settings made for bind in /etc/portage/package.keywords and /etc/portage/package.use. I tried running ./configure manually from /var/tmp/portage/bind-9.2.5/... without any options but that gave me the exact same error message.

Any clues?

Kind regards,
Michel


Last edited by micheloe on Fri Apr 15, 2005 5:52 pm; edited 1 time in total
Back to top
View user's profile Send private message
micheloe
n00b
n00b


Joined: 24 Oct 2004
Posts: 13

PostPosted: Fri Apr 15, 2005 5:51 pm    Post subject: Reply with quote

Fixed this!

I found the solution to my problem here: http://forums.gentoo.org/viewtopic-t-322054.html#2300808
I must have been too much in a hurry during a previous "emerge -uD world" and missed some post-install actions after a binutils upgrade.

Regards,

Michel
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Gentoo on Sparc All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum